

#include <stdio.h>
#include <stdlib.h>

int main(int argc, char *argv[])
{
  int n, P, i, sum;
  
  if(argc < 3) {
    fprintf(stderr, "Please give 2 arguments: n (tasks) P (workers)\n");
    return -1;
  }

  n = atoi(argv[1]);   // 0 if 0 or string given
  P = atoi(argv[2]);
  printf("%d tasks, %d workers\n", n, P);

  if(n == 0 || P == 0) {
    fprintf(stderr, "Please give n, P numbers greater than 0\n");
    return -1;
  }
  
  int* workers = malloc(P*sizeof(int));
  sum = 0;

  for(i = 0; i < P; i++) {
    workers[i] = n/P + (n%P>i);
    sum+=workers[i];              
    printf("%d ", workers[i]);
  }

  printf("\ncheck: sum-n = %d\n", sum-n);
  free(workers);

  return 0;
}
